diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/alter_package_headers_and_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/alter_package_headers_and_comment.sql
index 4a8f67231..02160086f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/alter_package_headers_and_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/alter_package_headers_and_comment.sql
@@ -4,9 +4,17 @@
 
 CREATE OR REPLACE PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
-PROCEDURE get_name(p_empno numeric);
+FUNCTION func2(v2 integer) RETURN integer;
+PROCEDURE proc2(v2 integer);
+gl_v character varying(50);
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 
+CREATE OR REPLACE PACKAGE BODY public."pkg_emp_$%{}[]()&*^!@""'`\/#"
+IS
+FUNCTION func2(v2 integer) RETURN integer IS BEGIN RETURN V2+10; END FUNC2;
+PROCEDURE proc2(v2 integer) IS BEGIN DBMS_OUTPUT.put_line(v2+50); END;
+END "pkg_emp_$%{}[]()&*^!@""'`\/#";
+
 COMMENT ON PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
     IS 'test comment updated';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/create_package_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/create_package_with_all_options.sql
index 36982f95b..804045359 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/create_package_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/create_package_with_all_options.sql
@@ -5,12 +5,15 @@
 CREATE OR REPLACE PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
 FUNCTION func1(v1 integer) RETURN integer;
+PROCEDURE proc1(v1 integer);
+gl_v character varying(50);
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 
 CREATE OR REPLACE PACKAGE BODY public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
-FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10;END FUNC1;
+FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10; END FUNC1;
+PROCEDURE proc1(v1 integer) IS BEGIN DBMS_OUTPUT.put_line(v1+50); END;
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 COMMENT ON PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/test.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/test.json
index 64906b3bc..cbf8e5037 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/test.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/10_plus/test.json
@@ -19,8 +19,8 @@
             "with_grant": true
           }]
         }],
-        "pkgbodysrc": "FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10;END FUNC1;",
-        "pkgheadsrc": "FUNCTION func1(v1 integer) RETURN integer;",
+        "pkgheadsrc": "FUNCTION func1(v1 integer) RETURN integer;\nPROCEDURE proc1(v1 integer);\ngl_v character varying(50);",
+        "pkgbodysrc": "FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10; END FUNC1;\nPROCEDURE proc1(v1 integer) IS BEGIN DBMS_OUTPUT.put_line(v1+50); END;",
         "schema": "public"
       },
       "expected_sql_file": "create_package_with_all_options.sql"
@@ -34,7 +34,8 @@
       {
         "description": "test comment updated",
         "owner": "enterprisedb",
-        "pkgheadsrc": "PROCEDURE get_name(p_empno numeric);",
+        "pkgheadsrc": "FUNCTION func2(v2 integer) RETURN integer;\nPROCEDURE proc2(v2 integer);\ngl_v character varying(50);",
+        "pkgbodysrc": "FUNCTION func2(v2 integer) RETURN integer IS BEGIN RETURN V2+10; END FUNC2;\nPROCEDURE proc2(v2 integer) IS BEGIN DBMS_OUTPUT.put_line(v2+50); END;",
         "schema": "public"
       },
       "expected_sql_file": "alter_package_headers_and_comment.sql"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/alter_package_headers_and_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/alter_package_headers_and_comment.sql
index 4a8f67231..2a50d080b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/alter_package_headers_and_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/alter_package_headers_and_comment.sql
@@ -4,9 +4,17 @@
 
 CREATE OR REPLACE PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
-PROCEDURE get_name(p_empno numeric);
+FUNCTION func2(v2 integer) RETURN integer;
+PROCEDURE proc2(v2 integer);
+gl_v character varying(50);
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 
+CREATE OR REPLACE PACKAGE BODY public."pkg_emp_$%{}[]()&*^!@""'`\/#"
+IS
+FUNCTION func2(v2 integer) RETURN integer IS BEGIN RETURN V2+10; END;
+PROCEDURE proc2(v2 integer) IS BEGIN DBMS_OUTPUT.put_line(v2+50); END;
+END "pkg_emp_$%{}[]()&*^!@""'`\/#";
+
 COMMENT ON PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
     IS 'test comment updated';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/create_package_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/create_package_with_all_options.sql
index ed693aedd..5096db3f9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/create_package_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/create_package_with_all_options.sql
@@ -5,12 +5,15 @@
 CREATE OR REPLACE PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
 FUNCTION func1(v1 integer) RETURN integer;
+PROCEDURE proc1(v1 integer);
+gl_v character varying(50);
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 
 CREATE OR REPLACE PACKAGE BODY public."pkg_emp_$%{}[]()&*^!@""'`\/#"
 IS
-FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10;END;
+FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10; END;
+PROCEDURE proc1(v1 integer) IS BEGIN DBMS_OUTPUT.put_line(v1+50); END;
 END "pkg_emp_$%{}[]()&*^!@""'`\/#";
 
 COMMENT ON PACKAGE public."pkg_emp_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/test.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/test.json
index 2d4ebe699..46a1a41a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/test.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/tests/ppas/9.2_plus/test.json
@@ -19,8 +19,8 @@
             "with_grant": true
           }]
         }],
-        "pkgbodysrc": "FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10;END FUNC1;",
-        "pkgheadsrc": "FUNCTION func1(v1 integer) RETURN integer;",
+        "pkgheadsrc": "FUNCTION func1(v1 integer) RETURN integer;\nPROCEDURE proc1(v1 integer);\ngl_v character varying(50);",
+        "pkgbodysrc": "FUNCTION func1(v1 integer) RETURN integer IS BEGIN RETURN V1+10; END;\nPROCEDURE proc1(v1 integer) IS BEGIN DBMS_OUTPUT.put_line(v1+50); END;",
         "schema": "public"
       },
       "expected_sql_file": "create_package_with_all_options.sql"
@@ -34,8 +34,8 @@
       {
         "description": "test comment updated",
         "owner": "enterprisedb",
-        "pkgheadsrc": "PROCEDURE get_name(p_empno numeric);",
-        "pkgbodysrc": "PROCEDURE get_name(p_empno numeric);",
+        "pkgheadsrc": "FUNCTION func2(v2 integer) RETURN integer;\nPROCEDURE proc2(v2 integer);\ngl_v character varying(50);",
+        "pkgbodysrc": "FUNCTION func2(v2 integer) RETURN integer IS BEGIN RETURN V2+10; END;\nPROCEDURE proc2(v2 integer) IS BEGIN DBMS_OUTPUT.put_line(v2+50); END;",
         "schema": "public"
       },
       "expected_sql_file": "alter_package_headers_and_comment.sql"
diff --git a/web/regression/re_sql/tests/test_resql.py b/web/regression/re_sql/tests/test_resql.py
index 7d626c454..3e91db118 100644
--- a/web/regression/re_sql/tests/test_resql.py
+++ b/web/regression/re_sql/tests/test_resql.py
@@ -163,7 +163,6 @@ class ReverseEngineeredSQLTestCases(BaseTestGenerator):
         """
         This function will run the test cases for specific module.
 
-        :param module_name: Name of the module
         :param scenarios: List of scenarios
         :return:
         """
